Results 1 to 7 of 7

Thread: Conflicts when upgrading

  1. #1
    Join Date
    Oct 2008
    Location
    near the Alps
    Posts
    567

    Question Conflicts when upgrading

    Hello

    when i want to upgrade (zypper up) i have some conflicts, they're linked with marble and still there after erasing marble.
    how can i list them so i can show them to you ?

    Thanks
    openSUSE Leap 42.2 , KDE Plasma 5

  2. #2

    Default Re: Conflicts when upgrading

    Quote Originally Posted by manchette_fr View Post
    when i want to upgrade (zypper up) i have some conflicts, they're linked with marble and still there after erasing marble.
    how can i list them so i can show them to you ?
    No need to "list" them, just copy/paste the text when you get them.

    Or run "zypper ve" that should list all dependency problems on your system.

    Your repo list would probably be interesting too.

  3. #3
    Join Date
    Oct 2008
    Location
    near the Alps
    Posts
    567

    Default Re: Conflicts when upgrading

    ;=)

    here's what i have if i zypper ve :

    http://pastebin.com/Mw2yQVTy


    i'll paste the conflicts if i see some at the end of the retrieve process (i'm upgrading now but there's a delay due to one repo not responding)
    openSUSE Leap 42.2 , KDE Plasma 5

  4. #4
    Join Date
    Oct 2008
    Location
    near the Alps
    Posts
    567

    Default Re: Conflicts when upgrading

    ok now here are the conflicts so far, surprisingly some others linked with oxygen vanished

    Code:
    Checking for file conflicts: ........................................................................................................................................................................................................[error]
    Detected 2 file conflicts:
    
    File /usr/lib64/qt5/plugins/libmarble_part.so
      from install of
         marble-15.12.3-1.5.x86_64 (kde_applications_421)
      conflicts with file from package
         marble5-15.12.3-92.1.x86_64 (@System)
    
    File /usr/lib64/qt5/plugins/plasma_runner_marble.so
      from install of
         marble-15.12.3-1.5.x86_64 (kde_applications_421)
      conflicts with file from package
         marble5-15.12.3-92.1.x86_64 (@System)
    
    File conflicts happen when two packages attempt to install files with the same name but different contents. If you continue, conflicting files will be replaced losing the previous content.
    Continue? [yes/no] (no):

    Code:
     # zypper lr -d
    #  | Alias                               | Name                                    | Enabled | GPG Check | Refresh | Priority | Type   | URI                                                                                                      | Service
    ---+-------------------------------------+-----------------------------------------+---------+-----------+---------+----------+--------+----------------------------------------------------------------------------------------------------------+--------
     1 | Google-Chrome                       | Google-Chrome                           | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://dl.google.com/linux/chrome/rpm/stable/x86_64                                                      |        
     2 | LibreOffice:Factory                 | LibreOffice                             | No      | ----      | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/LibreOffice:/5.0/openSUSE_42.1/                                |        
     3 | X11:windowmanagers                  | X11:windowmanagers                      | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/X11:/windowmanagers/openSUSE_Leap_42.1/                        |        
     4 | download.opensuse.org-Wine          | openSUSE BuildService - Wine CVS Builds | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/Emulators:/Wine/openSUSE_Leap_42.1/                            |        
     5 | download.opensuse.org-mozilla       | openSUSE BuildService - Mozilla         | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/mozilla/openSUSE_Leap_42.1/                                    |        
     6 | google-talkplugin                   | google-talkplugin                       | Yes     | ( p) Yes  | Yes     |   99     | rpm-md | http://dl.google.com/linux/talkplugin/rpm/stable/x86_64                                                  |        
     7 | http-download.opensuse.org-36f183cb | home:wolfi323:branches:KDE:Frameworks5  | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/home:/wolfi323:/branches:/KDE:/Frameworks5/openSUSE_Leap_42.1/ |        
     8 | http-download.opensuse.org-3d8db0bb | system:packagemanager                   | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/system:/packagemanager/openSUSE_Leap_42.1/                     |        
     9 | http-download.opensuse.org-8231669d | home:1Antoine1                          | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/home:/1Antoine1/openSUSE_Leap_42.1/                            |        
    10 | http-download.opensuse.org-a07dec8b | systemsmanagement:machinery             | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/systemsmanagement:/machinery/openSUSE_Leap_42.1/               |        
    11 | http-download.opensuse.org-a75f9db0 | KDE:Extra                               | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/KDE:/Extra/openSUSE_Leap_42.1/                                 |        
    12 | linuxdownload.adobe.com-linux       | Adobe Flash Plugin                      | Yes     | ( p) Yes  | Yes     |   99     | rpm-md | http://linuxdownload.adobe.com/linux/x86_64/                                                             |        
    13 | non-oss                             | non-oss                                 | Yes     | (r ) Yes  | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/leap/42.1/repo/non-oss/                                        |        
    14 | openSUSE_12.2                       | amd-fglrx-legacy                        | No      | ----      | Yes     |   99     | rpm-md | http://geeko.ioda.net/mirror/amd-fglrx-legacy/openSUSE_12.2                                              |        
    15 | openSUSE_13.2                       | kde_frameworks5                         | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/KDE:/Frameworks5/openSUSE_Leap_42.1/                           |        
    16 | openSUSE_13.2_1                     | packman                                 | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_Leap_42.1/                                       |        
    17 | openSUSE_13.2_10                    | kde_applications_extra                  | No      | ----      | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/KDE:/Extra/openSUSE_Leap_42.1/                                 |        
    18 | openSUSE_13.2_2                     | Qt5                                     | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/KDE:/Qt5/openSUSE_Leap_42.1/                                   |        
    19 | openSUSE_13.2_3                     | devel_libs_c_c++_openSUSE_13.2          | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/devel:/libraries:/c_c++/openSUSE_13.2/                         |        
    20 | openSUSE_13.2_4                     | printing_openSUSE                       | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/Printing/openSUSE_Leap_42.1/                                   |        
    21 | openSUSE_13.2_5                     | X11:Xorg                                | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/X11:/XOrg/openSUSE_Leap_42.1/                                  |        
    22 | openSUSE_13.2_6                     | windows:mingw:win32                     | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/windows:/mingw:/win32/openSUSE_42.1/                           |        
    23 | openSUSE_13.2_7                     | darkplayer_pipelight                    | No      | ----      | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/home:/DarkPlayer:/Pipelight/openSUSE_13.2/                     |        
    24 | openSUSE_13.2_8                     | network_wicked_master                   | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/network:/wicked:/master/openSUSE_Leap_42.1                     |        
    25 | openSUSE_13.2_9                     | kde_applications_421                    | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/KDE:/Applications/openSUSE_Leap_42.1/                          |        
    26 | openSUSE_42.1                       | Libreoffice_factory_openSUSE_42.1       | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/LibreOffice:/Factory/openSUSE_42.1/                            |        
    27 | opensuse-guide.org-repo_1           | Libdvdcss Repository                    | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://opensuse-guide.org/repo/openSUSE_Leap_42.1/                                                       |        
    28 | oss                                 | oss                                     | Yes     | (r ) Yes  | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/leap/42.1/repo/oss/                                            |        
    29 | pipelight                           | pipelight                               | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/home:/ecsos:/pipelight/openSUSE_Leap_42.1/                     |        
    30 | standard                            | kernel_stable_standard                  | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/Kernel:/stable/standard/                                       |        
    31 | update                              | update                                  | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/42.1/oss/                                                       |        
    32 | windows:mingw:win64                 | windows:mingw:win64                     | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/windows:/mingw:/win64/openSUSE_42.1/
    openSUSE Leap 42.2 , KDE Plasma 5

  5. #5

    Default Re: Conflicts when upgrading

    Quote Originally Posted by manchette_fr View Post
    ok now here are the conflicts so far, surprisingly some others linked with oxygen vanished
    You try to install marble from KDE:Applications, which is the KF5 version and therefore the same as my marble5.

    Switch marble to the KDE4 version from my repo, or uninstall it completely.

    And better remove the KDE:Applications repo. You don't need it if you use my repo, which contains all packages from there.
    Not to mention that the exact same packages are/will be available in the standard Leap 42.1 update repo as well.

  6. #6

    Default Re: Conflicts when upgrading

    Quote Originally Posted by manchette_fr View Post
    here's what i have if i zypper ve :

    http://pastebin.com/Mw2yQVTy
    Sorry, but that's useless.
    You only pasted the resolution options, not the conflicts/errors themselves.

    But it seems to be about application:calibre-.noarch, which you can (should) just ignore.
    Probably the calibre you have installed requires Qt 5.5.1 though, so it would force a downgrade to the standard Qt5/KF5/Plasma5 packages.
    If that's the case, better uninstall calibre, as it won't work anyway.
    Last edited by wolfi323; 23-Mar-2016 at 08:49.

  7. #7
    Join Date
    Oct 2008
    Location
    near the Alps
    Posts
    567

    Default Re: Conflicts when upgrading

    hi,
    i removed marble packages and kde applications repo too.



    about the errors it was all the times offering downgrades downgrades ..., nothing more than what i've shown.
    openSUSE Leap 42.2 , KDE Plasma 5

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •